Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.util
Class ResourceLocator.PredicateLogger

    java.lang.Object
      org.apache.log4j.Category
          org.apache.log4j.Logger
              org.objectstyle.cayenne.util.ResourceLocator.PredicateLogger

All Implemented Interfaces:
  org.apache.log4j.spi.AppenderAttachable

Enclosing class:
  ResourceLocator

    protected static class ResourceLocator.PredicateLogger

extends org.apache.log4j.Logger

Custom logger that can be dynamically turned on/off by evaluating a Predicate.

Field Summary

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`ResourceLocator.PredicateLogger(java.lang.Class clazz, org.apache.commons.collections.Predicate condition)`
`ResourceLocator.PredicateLogger(java.lang.String name, org.apache.commons.collections.Predicate condition)`

Method Summary
`void` | `debug(java.lang.Object arg0)`
`void` | `debug(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `error(java.lang.Object arg0)`
`void` | `error(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `fatal(java.lang.Object arg0)`
`void` | `fatal(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `info(java.lang.Object arg0)`
`void` | `info(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `log(org.apache.log4j.Priority arg0, java.lang.Object arg1)`
`void` | `log(org.apache.log4j.Priority arg0, java.lang.Object arg1, java.lang.Throwable arg2)`
`void` | `warn(java.lang.Object arg0)`
`void` | `warn(java.lang.Object arg0, java.lang.Throwable arg1)`

Methods inherited from class org.apache.log4j.Logger
`getLogger, getLogger, getLogger, getRootLogger`

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, exists, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setLevel, setPriority, setResourceBundle, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceLocator.PredicateLogger

    public ResourceLocator.PredicateLogger(java.lang.Class clazz,
                                           org.apache.commons.collections.Predicate condition)

### ResourceLocator.PredicateLogger

    public ResourceLocator.PredicateLogger(java.lang.String name,
                                           org.apache.commons.collections.Predicate condition)

Method Detail

### debug

    public void debug(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Overrides:
    `debug` in class `org.apache.log4j.Category`

### debug

    public void debug(java.lang.Object arg0)

  Overrides:
    `debug` in class `org.apache.log4j.Category`

### info

    public void info(java.lang.Object arg0,
                     java.lang.Throwable arg1)

  Overrides:
    `info` in class `org.apache.log4j.Category`

### info

    public void info(java.lang.Object arg0)

  Overrides:
    `info` in class `org.apache.log4j.Category`

### warn

    public void warn(java.lang.Object arg0,
                     java.lang.Throwable arg1)

  Overrides:
    `warn` in class `org.apache.log4j.Category`

### warn

    public void warn(java.lang.Object arg0)

  Overrides:
    `warn` in class `org.apache.log4j.Category`

### error

    public void error(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Overrides:
    `error` in class `org.apache.log4j.Category`

### error

    public void error(java.lang.Object arg0)

  Overrides:
    `error` in class `org.apache.log4j.Category`

### fatal

    public void fatal(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Overrides:
    `fatal` in class `org.apache.log4j.Category`

### fatal

    public void fatal(java.lang.Object arg0)

  Overrides:
    `fatal` in class `org.apache.log4j.Category`

### log

    public void log(org.apache.log4j.Priority arg0,
                    java.lang.Object arg1,
                    java.lang.Throwable arg2)

  Overrides:
    `log` in class `org.apache.log4j.Category`

### log

    public void log(org.apache.log4j.Priority arg0,
                    java.lang.Object arg1)

  Overrides:
    `log` in class `org.apache.log4j.Category`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.